aboutsummaryrefslogtreecommitdiffstats
path: root/package
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2010-05-02 22:03:54 +0000
committerFelix Fietkau <nbd@openwrt.org>2010-05-02 22:03:54 +0000
commit99757d3336cbbee1533268ffba158bccdd4e31ee (patch)
tree26de40d47232a387d2946f4b38e47d3f1da908e8 /package
parentfd61253b6603d1ac2516992e2b69ddb77d881b8b (diff)
downloadupstream-99757d3336cbbee1533268ffba158bccdd4e31ee.tar.gz
upstream-99757d3336cbbee1533268ffba158bccdd4e31ee.tar.bz2
upstream-99757d3336cbbee1533268ffba158bccdd4e31ee.zip
mac80211: use the nl80211 driver for wpa_supplicant
SVN-Revision: 21321
Diffstat (limited to 'package')
-rw-r--r--package/mac80211/files/lib/wifi/mac80211.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/mac80211/files/lib/wifi/mac80211.sh b/package/mac80211/files/lib/wifi/mac80211.sh
index c871cbe732..af8dd23270 100644
--- a/package/mac80211/files/lib/wifi/mac80211.sh
+++ b/package/mac80211/files/lib/wifi/mac80211.sh
@@ -362,7 +362,7 @@ enable_mac80211() {
;;
sta)
if eval "type wpa_supplicant_setup_vif" 2>/dev/null >/dev/null; then
- wpa_supplicant_setup_vif "$vif" wext || {
+ wpa_supplicant_setup_vif "$vif" nl80211 || {
echo "enable_mac80211($device): Failed to set up wpa_supplicant for interface $ifname" >&2
# make sure this wifi interface won't accidentally stay open without encryption
ifconfig "$ifname" down